Bug 204135

Summary: JPEG lossless cropping support
Product: digikam Reporter: Milan Knížek <knizek>
Component: Plugin-Bqm-CropAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: wishlist CC: adam, caulier.gilles, mike
Priority: NOR    
Version: 3.0.0   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In: 3.2.0

Description Milan Knížek 2009-08-17 09:18:12 UTC
Version:            (using KDE 4.2.4)
OS:                Linux

It would be nice if JPEG Lossless plugin allowed also for cropping of JPEG images.

I can do that with external GUI tool now (MaPiVi), but it would be easier to have it inside of digiKam to simplify the workflow.

P.S. I am aware about the discussion in mailing list http://mail.kde.org/pipermail/digikam-devel/2006-January/002929.html more than two years ago and the limitation to block size.

My view is that lossless cropping is still useful: point-n-shoot cameras store images in JPEG and I use quite often (cca 90 %) the JPEGs embedded in raw files without any editing other than rotation and cropping.
Archiving those images in PNG would lead to significant increase of storage requirements without other benefits and lossy re-compression leads to unneccessary quality deterioration.
Comment 1 caulier.gilles 2013-03-25 22:20:48 UTC
Git commit 3f60ae51ade24dd58cdc83c5f0ad4f9f99244a54 by Gilles Caulier.
Committed on 25/03/2013 at 23:17.
Pushed by cgilles into branch 'master'.

new algorithm from Sayantan Datta to auto crop image by black hole border detection.
typical use case : crop automatically assembled panorama to the most largest suitable image size
CCMAIL: kenzo.zombie@gmail.com
Related: bug 267436

M  +1    -0    CMakeLists.txt
A  +590  -0    libs/dimg/filters/transform/autocrop.cpp     [License: GPL (v2+)]
A  +75   -0    libs/dimg/filters/transform/autocrop.h     [License: GPL (v2+)]
M  +14   -1    tests/CMakeLists.txt
A  +84   -0    tests/testautocrop.cpp     [License: GPL (v2+)]

http://commits.kde.org/digikam/3f60ae51ade24dd58cdc83c5f0ad4f9f99244a54
Comment 2 caulier.gilles 2013-04-03 09:30:02 UTC
Git commit aef19efb1a69ee97c847423b4bbf1c7111bca8b7 by Gilles Caulier.
Committed on 03/04/2013 at 11:03.
Pushed by cgilles into branch 'master'.

add new BQM tool to auto-crop images

M  +1    -1    CMakeLists.txt
M  +4    -3    NEWS
M  +49   -9    utilities/queuemanager/basetools/transform/crop.cpp
M  +5    -0    utilities/queuemanager/basetools/transform/crop.h

http://commits.kde.org/digikam/aef19efb1a69ee97c847423b4bbf1c7111bca8b7
Comment 3 Michael G. Hansen 2013-04-03 19:17:36 UTC
Gilles,

the last commit here is about auto-crop but does not affect kipi-plugins. Did you close the wrong bug?

Michael
Comment 4 caulier.gilles 2013-04-03 21:07:16 UTC
No i don't close the wrong bug. In fact JPEGLossLess tool is deprecated now in digiKam and is replaced by BQM, as all Batch plugins (progressively)...

Gilles